import { createApp } from 'vue';
import App from './App.vue';

import router from './router/index'; // 引入路由配置

import store from './store/index'

import ElementPlus from 'element-plus';
import 'element-plus/dist/index.css';
import * as ElementPlusIconsVue from '@element-plus/icons-vue'



const app = createApp(App);
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
    app.component(key, component)
}


app.use(ElementPlus);
app.use(router); // 使用路由
app.use(store)
app.mount('#app');
